# common.h File Reference

## Detailed Description

General header for the Barry library.

Definition in file common.h.

`#include "dll.h"`
`#include <iostream>`

Include dependency graph for common.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry

## Functions

void | Barry::Init (bool data_dump_mode, std::ostream *logStream)
| Barry library initializer.
void | Barry::Verbose (bool data_dump_mode)
| This API call lets the application enable / disable verbose debug output on the fly.
bool | Barry::IsVerbose ()
| Returns true if data dump mode is enabled.